def milieu(A,B):
    # A[0] est l'abscisse de A, A[1] est son ordonnée
    # B[0] est l'abscisse de B, B[1] est son ordonnée
    return (A[0]+B[0])/2 , (A[1]+B[1])/2

def distance(A,B):
    return ( (B[0]-A[0])**2 + (B[1]-A[1])**2 )**0.5
    # (...)**0.5 correspond à prendre la racine carrée
